Description
From WG 10 meeting October 2021, IEEE H27

Preliminary registration

PC37.251 defines CDC which deviate from the ones standardized in IEC 61850-7-3.

ING
VSG

(possibly also ASG: additional user configurable value limits, see also TF UF item 'F 5089")

Proposal descriptions
IEEE H27 to provide more information

History

#1 - 06/21/2023 02:26 AM - Vladan Cvejic

- Tracker changed from WG10FutureWork to WG10 Future Work

- Due date deleted (02/08/2022)
- Status changed from Accepted to In Progress
- Needs More Information set to No

- Assigned TF 61850-7-2 added

#2 - 06/21/2023 02:26 AM - Vladan Cvejic

- Status changed from In Progress to New

#3 - 10/26/2023 02:37 AM - Vladan Cvejic

- Target edition set to Not assigned

#4 - 02/08/2024 05:13 AM - Viadan Cvejic

- Proposal descriptions updated

- Standard(s) changed from IEC 61850-7-2 to IEC 61850-7-3
- Needs More Information changed from No to Yes

- Target edition changed from Not assigned to Next

- Assigned TF 61850-7-3 added

- Assigned TF deleted (61850-7-2)

#5 - 02/09/2024 03:21 AM - Tom Berry
Draft was circulated within IEEE in March 2023

04/09/2024
PC37.251™/D23 1 Draft Standard for Common Protection 2 and Control Settings or Configuration 3 Data Format (COMSET)

This proposes a profile of SCL with elements based on IEC 61850 CDCs.
The profile would make minVal, maxVal, stepSize, unit mandatory

It also proposes extensions based on concepts from XML Schema that are not supported by the current ASG, ING, VSG
64-bit floating point values

integer values restricted to signed or unsigned 8bit, 16bit, 32 bit in addition to the configured minVal, maxVal

character strings with minimum & maximum string length

binary bitstrings represented by character strings with only 0 and 1 characters

byte array objects - character strings using base64 encoding

date/time in local or UTC time - date only, time only, date+time

settings to have default value as well as values per setting group

an additional <Val> element attribute, called ‘secondaryVal’, which allows vendors to record, along with the primary system quantity, the original
secondary quantity

e.g. <Val comset:default="true" comset:secondaryVal="100">1000</Val>

Plus for part 7-4 add

GSET logical node is analogous to the existing GGIO node. It provides a generic, node to store settings information that doesn't adhere strictly to the
IEC 61850 paradigm.
